## ubertooth 2020.12.R1

=== firmware/btbr/Makefile ===
# Hey Emacs, this is a -*- makefile -*-

# Target file name (without extension).
TARGET = btbr

COMPILE_OPTS=-Iinclude
LINKER_OPTS=--specs=nano.specs

# List C source files here. (C dependencies are automatically generated.)
SRC = $(shell find src -name '*.c') \
	$(LIBS_PATH)/usb_serial.c \
	$(LIBS_PATH)/serial_fifo.c \
	$(LIBS_PATH)/LPC17xx_Startup.c \
	$(LIBS_PATH)/LPC17xx_Interrupts.c \
	$(LIBS_PATH)/ubertooth.c \
	$(LPCUSB_PATH)/usbcontrol.c \
	$(LPCUSB_PATH)/usbinit.c \
	$(LPCUSB_PATH)/usbhw_lpc.c \
	$(LPCUSB_PATH)/usbstdreq.c

OPT = 3

include ../common.mk

=== host/ubertooth-tools/CMakeLists.txt ===
#
# Copyright 2013 Dominic Spill
#
# This file is part of Ubertooth
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the hackrf cmake setup.

project(ubertooth-tools C)
set(PACKAGE ubertooth-tools)

if(MSVC OR APPLE)
    set(USE_OWN_GNU_GETOPT 1)
endif()

add_subdirectory(src)

# Create uninstall target
if(NOT ubertooth_all_SOURCE_DIR)
configure_file(
    ${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
endif()

=== host/doc/man/CMakeLists.txt ===
#
# Copyright 2017 Dominic Spill
#
# This file is part of Ubertooth.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

include(GNUInstallDirs)

install(FILES
	"ubertooth-btle.1"
	"ubertooth-dump.1"
	"ubertooth-rx.1"
	"ubertooth-specan.1"
	"ubertooth-afh.1"
	"ubertooth-dfu.1"
	"ubertooth-ego.1"
	"ubertooth-scan.1"
	"ubertooth-util.1"
	DESTINATION "${CMAKE_INSTALL_MANDIR}/man1" COMPONENT doc)

install(FILES
	"ubertooth.7"
	DESTINATION "${CMAKE_INSTALL_MANDIR}/man7" COMPONENT doc)

=== host/python/specan_ui/CMakeLists.txt ===
# Copyright 2013 Dominic Spill
#
# This file is part of Ubertooth
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

set(SETUP_PY_IN ${CMAKE_CURRENT_SOURCE_DIR}/setup.py.in)
set(SETUP_PY    ${CMAKE_CURRENT_BINARY_DIR}/setup.py)
set(DEPS        ${CMAKE_CURRENT_SOURCE_DIR}/specan/__init__.py
                ${CMAKE_CURRENT_SOURCE_DIR}/specan/Ubertooth.py)
set(OUTPUT      ${CMAKE_CURRENT_BINARY_DIR}/build)

configure_file(${SETUP_PY_IN} ${SETUP_PY})

add_custom_command(OUTPUT ${OUTPUT}/timestamp
                   COMMAND ${Python3_EXECUTABLE} setup.py build
                   COMMAND ${CMAKE_COMMAND} -E touch ${OUTPUT}/timestamp
                   DEPENDS ${DEPS})

add_custom_target(specan ALL DEPENDS ${OUTPUT}/timestamp)
install(CODE "execute_process(COMMAND ${Python3_EXECUTABLE} ${SETUP_PY} build -b ${OUTPUT} install)")

add_custom_target(ubertooth-specan-ui ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/ubertooth-specan-ui)
install(PROGRAMS ubertooth-specan-ui DESTINATION ${INSTALL_DEFAULT_BINDIR})

=== host/python/ubtbr/CMakeLists.txt ===
find_program(PYTHON3 "python3")
set(SETUP_PY_IN	${CMAKE_CURRENT_SOURCE_DIR}/setup.py.in)
set(SETUP_PY    ${CMAKE_CURRENT_BINARY_DIR}/setup.py)
set(DEPS        ${CMAKE_CURRENT_SOURCE_DIR}/ubtbr/__init__.py
                ${CMAKE_CURRENT_SOURCE_DIR}/ubtbr/btctl.py
                ${CMAKE_CURRENT_SOURCE_DIR}/ubtbr/lmp.py)
set(OUTPUT      ${CMAKE_CURRENT_BINARY_DIR}/build)

configure_file(${SETUP_PY_IN} ${SETUP_PY})

add_custom_command(OUTPUT ${OUTPUT}/timestamp
                   COMMAND ${PYTHON3} setup.py build
                   COMMAND ${CMAKE_COMMAND} -E touch ${OUTPUT}/timestamp
                   DEPENDS ${DEPS})

add_custom_target(ubtbr ALL DEPENDS ${OUTPUT}/timestamp)
install(CODE "execute_process(COMMAND ${PYTHON3} ${SETUP_PY} build -b ${OUTPUT} install -f --prefix=${CMAKE_INSTALL_PREFIX})")

add_custom_target(ubertooth-btbr ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/ubertooth-btbr)
install(PROGRAMS ubertooth-btbr DESTINATION ${INSTALL_DEFAULT_BINDIR})

=== debian/changelog ===
ubertooth (2020.12.R1-0kali3) kali-dev; urgency=medium

  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Build-Depends: pkg-config -> pkgconf
  * Drop obsolete constraint
  * Add specan_ui version to fix error in new setuptools versions
  * Use setuptools instead of distutils
  * Install udev rules in /usr/lib/ rather than /lib/
  * Add a superficial test to show help message

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 11 Sep 2024 12:04:35 +0700

ubertooth (2020.12.R1-0kali2) kali-dev; urgency=medium

  * Add XS-Debian-Vcs-* fields

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 12 Dec 2022 15:59:34 +0700

ubertooth (2020.12.R1-0kali1) kali-dev; urgency=medium

  * New upstream version 2020.12.R1
  * Refresh patches
  * Add missing build-dep python3-setuptools
  * Import upstream patch to build with gcc-10
  * Remove useless patch 0008-Remove-unused-extra-definition-of-variable.patch
  * debian/libubertooth1.symbols: add new symbols and build-dep field
  * Update debian/com.greatscottgadgets.ubertooth.metainfo.xml
  * Bump Standards-Version to 4.6.0
  * Update debian/copyright
  * Update debian/watch

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Dec 2021 17:27:03 +0100

ubertooth (2018.06.R1-0kali1) kali-dev; urgency=medium

  * New usptream release

 -- Sophie Brun <sophie@freexian.com>  Thu, 28 Jun 2018 14:15:46 +0200

ubertooth (2017.03.R2-2kali1) kali-dev; urgency=medium

  * Synchronize with Debian

 -- Sophie Brun <sophie@freexian.com>  Mon, 28 Aug 2017 11:56:39 +0200

ubertooth (2017.03~r2-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Increment SO version

 -- Sophie Brun <sophie@freexian.com>  Fri, 17 Mar 2017 12:17:16 +0100

ubertooth (2017.03~r1+git20170301-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Refresh patches
  * Update debian/copyright
  * Update debian/libubertooth0.symbols

 -- Sophie Brun <sophie@freexian.com>  Thu, 02 Mar 2017 09:20:22 +0100

ubertooth (2015.10.R1-0kali2) kali-dev; urgency=medium

  * Synchronize with new debian package
  * Refresh patches

 -- Sophie Brun <sophie@freexian.com>  Tue, 09 Feb 2016 10:58:10 +0100

ubertooth-host (2015.10.R1-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Drop old useless patches and add a new patch to fix installation of python
    parts
  * debian/rules: override dh_makelibs to force minimal version in shlibs

 -- Sophie Brun <sophie@freexian.com>  Wed, 03 Feb 2016 09:03:17 +0100

ubertooth-host (2012.10.r1-1kali1) kali; urgency=low

  * Added libbtbb-dev as a build dependency.

 -- Mati Aharoni <muts@kali.org>  Fri, 22 Mar 2013 18:27:10 -0400

ubertooth-host (2012.10.r1-1kali0) kali; urgency=low

  * Initial release

 -- Mati Aharoni <muts@kali.org>  Fri, 22 Mar 2013 08:58:32 -0400

=== debian/control ===
Source: ubertooth
XSBC-Original-Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Sophie Brun <sophie@offensive-security.com>,
Section: science
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 libbluetooth-dev,
 libbtbb-dev,
 libpcap-dev,
 libusb-1.0-0-dev,
 pkgconf,
 python3-all:any,
 python3-setuptools,
 txt2man,
Build-Depends-Indep:
 gcc-arm-none-eabi,
 libnewlib-arm-none-eabi,
 libstdc++-arm-none-eabi-newlib,
Standards-Version: 4.6.0
XS-Debian-Vcs-Git: https://salsa.debian.org/rubund/ubertooth.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/rubund/ubertooth
Vcs-Git: https://gitlab.com/kalilinux/packages/ubertooth.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/ubertooth
Homepage: https://github.com/greatscottgadgets/ubertooth/

Package: libubertooth1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Replaces:
 libubertooth0 (>= 2017.03~r1+git20170301-0kali1),
Description: Shared library for Bluetooth experimentation
 Project Ubertooth is an open source wireless development platform suitable for
 Bluetooth experimentation. Ubertooth ships with a capable BLE (Bluetooth Smart)
 sniffer and can sniff some data from Basic Rate (BR) Bluetooth Classic
 connections.
 .
 This package provides the shared library needed by Ubertooth.

Package: libubertooth-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libbluetooth-dev,
 libbtbb-dev,
 libpcap-dev,
 libubertooth1 (= ${binary:Version}),
 libusb-1.0-0-dev,
 ${misc:Depends},
Description: Shared library for Bluetooth experimentation - development files
 Project Ubertooth is an open source wireless development platform suitable for
 Bluetooth experimentation. Ubertooth ships with a capable BLE (Bluetooth Smart)
 sniffer and can sniff some data from Basic Rate (BR) Bluetooth Classic
 connections.
 .
 This package provides the development files for using the ubertooth library.

Package: ubertooth-firmware
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 ubertooth,
Suggests:
 ubertooth-firmware-source,
Description: Firmware for Ubertooth
 The Ubertooth hardware needs some firmware to run. The firmware is built with
 arm-none-eabi-gcc. This package contains a number of firmware images that
 may be programmed into the Ubertooth hardware using the 'ubertooth-dfu'
 command.
 .
 The firmware images are installed in /usr/share/ubertooth/firmware/

Package: ubertooth-firmware-source
Architecture: all
Depends:
 libubertooth-dev,
 ubertooth,
 ${misc:Depends},
Recommends:
 gcc-arm-none-eabi,
 libnewlib-arm-none-eabi,
 libstdc++-arm-none-eabi-newlib,
Suggests:
 ubertooth-firmware,
Description: Source code for the Ubertooth firmware
 The Ubertooth hardware needs some firmware to run. The firmware is built with
 arm-none-eabi-gcc. This package contains the source code for the firmware that
 is found in the ubertooth-firmware package.
 .
 The firmware source may be found in /usr/src/ubertooth-firmware-source.tar.gz
 after installing this package.

Package: ubertooth
Architecture: any
Depends:
 libubertooth1 (= ${binary:Version}),
 python3,
 python3-numpy,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 python3-pyside2.qtcore,
 python3-pyside2.qtgui,
 python3-pyside2.qtwidgets,
 ubertooth-firmware,
Suggests:
 ubertooth-firmware-source,
Description: 2.4 GHz wireless development platform for Bluetooth experimentation
 Project Ubertooth is an open source wireless development platform suitable for
 Bluetooth experimentation. This package contains everything necessary to use
 the hardware dongle.
 .
 Ubertooth is capable of sniffing BLE (Bluetooth Smart) connections and it also
 has some ability to sniff some data from Basic Rate (BR) Bluetooth Classic
 connections.
 .
 In addition to the Bluetooth specific capabilities, there is also a simple
 spectrum analyzer for the 2.4 GHz band included (ubertooth-specan-ui) which
 can be used to also observe other things in this frequency band.

=== debian/tests/control ===
Test-Command: ubertooth-util -h
Restrictions: superficial

Tests: buildfirmware
Depends:
 gcc-arm-none-eabi,
 libnewlib-arm-none-eabi,
 libstdc++-arm-none-eabi-newlib,
 ubertooth-firmware-source,

=== debian/watch ===
version=4
opts="uversionmangle=s/\-/\./" \
https://github.com/greatscottgadgets/ubertooth/releases .*/(\w+?)-(\w+?)-(\w+?)\.tar\.(?:bz2|gz|xz)
